#!/usr/bin/env node

// Hello World server
// Binds REP socket to tcp://*:5555
// Expects "Hello" from client, replies with "world"

//  Hello World server
//  Binds REP socket to tcp://*:5555
//  Expects "Hello" from client, replies with "World"

let zmq = require('zeromq');
let count = 0;

async function runServer() {
  const sock = new zmq.Reply();

  await sock.bind('tcp://*:5556');

  for await (const [msg] of sock) {
    count++;
    console.log(count + '. Received ' + ': [' + msg.toString() + ']');
    await sock.send('World');
    // Do some 'work'
  }
}

runServer();

